Subject: [Tsvwg] TCP ULP Framing: PUSH bit alternative

From: "Julian Satran" <[email-masked]>
Date: Mon, 27 Aug 2001 08:38:46 +0300

This was proposed and rejected. I did not hear good arguments against but
there where certainly many and expressed loudly Although push is not used
even in the environment it was created for (cleaning the telnet path) and a
different semantic could have been negotiated
at connection creation the argument brought was that implementation is
uncertain, semantic of APIs changed and there is really no need (that is
impressive considering that we keep seeing this type of request again and
again).  The current proposal is completely layered on top of TCP and is
supposed to generate less resistance.

Julo

Message: 6
Date: Sat, 25 Aug 2001 12:36:30 -0700
From: Jacob Heitz <[email-masked]>
Organization: Lucent Technologies, Internetworking Systems, Software
Engineering,
Alameda
To: [email-masked]
Subject: [Tsvwg] TCP ULP Framing: PUSH bit alternative

I have a simple alternative that requires no additional headers.
I'm sure it must have already been thought of, but rejected.
If so, I'd like to know why it was rejected.

Modify the sending TCP to send one ULP PDU in one IP packet,
ie, a one to one correspondence between ULP PDU and IP packet.
Do this for retransmissions as well as transmissions.
TCP needs this modification for either proposal.

Modify the receiving TCP to pass data up to the ULP as PDUs
corresponding to received IP packets.
TCP needs this modification for either proposal.

If a PDU to be sent exceeds the maximum segment size, the
sending TCP would segment it into the required number of
segments and set the PUSH bit on only the last segment.
This way, the receiver can reassemble them.

I make no proposal for bundling short ULP PDUs together into
a single TCP segment.

_______________________________________________
tsvwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/tsvwg